<%@ page
	pageEncoding="UTF-8"
	session="false"
	import="net.sf.basedb.core.Application"
	import="net.sf.basedb.core.User"
	import="net.sf.basedb.core.DbControl"
	import="net.sf.basedb.core.SessionControl"
	import="net.sf.basedb.clients.web.Base"
	import="net.sf.basedb.clients.web.util.HTML"
	import="net.sf.basedb.clients.web.extensions.ExtensionsControl"
	import="net.sf.basedb.util.Values"
%>
<%@ taglib prefix="base" uri="/WEB-INF/base.tld" %>
<%@ taglib prefix="p" uri="/WEB-INF/path.tld" %>
<%
final SessionControl sc = Base.getExistingSessionControl(request, "net.sf.basedb.reggie", true);
final String ID = sc.getId();
final float scale = Base.getScale(sc);
final String home = ExtensionsControl.getHomeUrl("net.sf.basedb.reggie");

DbControl dc = null;
try
{
	dc = sc.newDbControl();
	final User user = User.getById(dc, sc.getLoggedInUserId());
%>
<base:page type="default" >
<base:head 
	scripts="~../reggie-2.js,~reference-date.js" 
	styles="path.css,~../css/reggie-2.css"
>
<style>

#update-results
{
	width: 40em; 
	border-width: 1px; 
	margin-left: 2em;
}

#update-results th, #update-results td
{
	text-align: left;
	padding: 2px;
}

</style>
</base:head>
<base:body>

	<p:path><p:pathelement 
		title="Reggie" href="<%="../index.jsp?ID="+ID%>" 
		/><p:pathelement title="Reference date batch update" 
		/></p:path>

	<div class="content">
	<form name="reggie" id="wizard" class="wizard">
	
	<div class="step" id="step-1">
		<div class="step-no">1</div>
		<div class="step-title">Reference date</div>
		<div class="step-content">

			<div style="padding: 1em;">
			This wizard will update the <b>ReferenceDate</b> and <b>ReferenceDateSource</b> 
			annotations on <b>Case</b> items as follows:<br>
			<ol>
				<li><b>IncaDiagnosisDate</b>: If a case has a value for the <b>INCA_A030DiaDat</b> annotation, 
					that date is copied	to the <b>ReferenceDate</b> annotation.
				<li><b>SamplingDate</b>: If a case has at least one child <b>Specimen</b> or <b>NoSpecimen</b> 
					that has a <b>Created</b> date, the earliest date is copied to the <b>ReferenceDate</b> annotation.
				<li><b>ConsentDate</b>: If a case has a value for the <b>ConsentDate</b> annotation, that date is copied
					to the <b>ReferenceDate</b> annotation.
				<li><b>RegistrationDate</b>: All remaining cases have the <b>Registered</b> date copied to 
					the <b>ReferenceDate</b> annotation.
			</ol>
			</div>
		</div>
	</div>

	<div id="wizard-status"></div>
	<div id="wizard-progress"></div>

	<table id="update-results" style="display: none; margin-top: 1em;">
		<tr class="bg-filled-100 bottomborder">
			<th style="width: 20em;">ReferenceDateSource</th>
			<th style="width: 10em;">Before</th>
			<th style="width: 10em;">After</th>
		</tr>
		<tr class="bottomborder" style="border-bottom-style: dotted;">
			<th class="bg-filled-100 rightborder">No value</th>
			<td id="novalue-before">?</td>
			<td id="novalue-after">?</td>
		</tr>
		<tr>
			<th class="bg-filled-100 rightborder">IncaDiagnosisDate</th>
			<td id="IncaDiagnosisDate-before">?</td>
			<td id="IncaDiagnosisDate-after">?</td>
		</tr>
		<tr>
			<th class="bg-filled-100 rightborder">SamplingDate</th>
			<td id="SamplingDate-before">?</td>
			<td id="SamplingDate-after">?</td>
		</tr>
		<tr>
			<th class="bg-filled-100 rightborder">ConsentDate</th>
			<td id="ConsentDate-before">?</td>
			<td id="ConsentDate-after">?</td>
		</tr>
		<tr>
			<th class="bg-filled-100 rightborder">RegistrationDate</th>
			<td id="RegistrationDate-before">?</td>
			<td id="RegistrationDate-after">?</td>
		</tr>
	</table>
		

		<table class="navigation" id="navigation">
		<tr>
			<td><base:button id="gocancel" title="Cancel" /></td>
			<td><base:button id="gonext" title="Next" image="<%=home+"/images/gonext.png"%>" /></td>
			<td><base:button id="goregister" title="Register" image="<%=home+"/images/gonext.png"%>" /></td>
			<td><base:button id="goupdate" title="Update" image="<%=home+"/images/gonext.png"%>" /></td>
			<td><base:button id="gorestart" title="Restart" image="<%=home+"/images/goback.png"%>" /></td>
			<td id="gonext-message" class="message"></td>
		</tr>
		</table>
	</form>
	</div>
	
</base:body>
</base:page>
<%
}
finally
{
	if (dc != null) dc.close();
}
%>